
From: Miklos Szeredi <miklos@szeredi.hu>

the following patch adds MODULE_ALIAS_MISCDEV() definition for fuse driver. 
It will enable the auto-loading of the module via access to the corresponding
device file.

From: Takashi Iwai <tiwai@suse.de>
Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/fuse/dev.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/fuse/dev.c~fuse-device-functions-module-alias fs/fuse/dev.c
--- devel/fs/fuse/dev.c~fuse-device-functions-module-alias	2005-07-29 23:26:04.000000000 -0700
+++ devel-akpm/fs/fuse/dev.c	2005-07-29 23:26:04.000000000 -0700
@@ -17,6 +17,8 @@
 #include <linux/file.h>
 #include <linux/slab.h>
 
+MODULE_ALIAS_MISCDEV(FUSE_MINOR);
+
 static kmem_cache_t *fuse_req_cachep;
 
 static inline struct fuse_conn *fuse_get_conn(struct file *file)
_
